{% extends "admin/base_site.html" %}
{% load i18n admin_urls static %}

{% block title %} {{ page_title }} {% endblock title %}
{% block extrastyle %}{{ block.super }}<link rel="stylesheet" type="text/css" href='{% static "admin/css/custom.min.css" %}' />{% endblock %}

{% block content %}
  <div class="row changelist-top">
    <div class="col-sm-12">

      <div class="x_panel">
        <div class="x_title">
          <h2>{{ xPanel_title }}</h2>
          <ul class="panel_toolbox text-right">
            <li><a class="collapse-link" title="{% trans "Toggle" %}"><i class="fa fa-chevron-up"></i></a></li>
          </ul>
        </div>
        
        <div class="x_content">
          {% if action_list %}
            <table class="table table-striped">
              <thead>
                <tr>
                  <th scope="col">{% trans 'Date/time' %}</th>
                  <th scope="col">{% trans 'User' %}</th>
                  <th scope="col">{% trans 'Action' %}</th>
                </tr>
              </thead>
              <tbody>
              {% for action in action_list %}
                <tr>
                  <th scope="row">{{ action.action_time|date:"DATETIME_FORMAT" }}</th>
                  <td>{{ action.user.get_username }}{% if action.user.get_full_name %} ({{ action.user.get_full_name }}){% endif %}</td>
                  <td>{{ action.get_change_message }}</td>
                </tr>
              {% endfor %}
              </tbody>
            </table>
          {% else %}
            <p>{% trans "This object doesn't have a change history. It probably wasn't added via this admin site." %}</p>
          {% endif %}
        </div>
      </div>
    
    </div>
  </div>
{% endblock %}